> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/qos-policy-group/modifyqospolicygroup.md).

# ModifyQosPolicyGroup

## 1. 接口描述

本接口(ModifyQosPolicyGroup)用于修改QoS策略组的名称或带宽限制。

{% hint style="info" %}
**带宽限制**

* 默认情况下，最低带宽限制为 10,000 Mbps（10G）。
* 如果您需要的带宽限制低于 10G，请联系[Zenlayer 客服](https://www.zenlayer.com/support/)。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称             | 必选 | 类型                                                                            | 描述                                                                            |
| ---------------- | -- | ----------------------------------------------------------------------------- | ----------------------------------------------------------------------------- |
| qosPolicyGroupId | 是  | String                                                                        | QoS策略组ID。                                                                     |
| name             | 否  | String                                                                        | <p>QoS策略组新名称。</p><p>长度不能超过64个字符。</p>                                          |
| bandwidthLimit   | 否  | Integer                                                                       | <p>新的带宽限制，单位Mbps。</p><p>最大不得超过100000000 Mbps。</p><p>可选值范围：\[-, 100000000]</p> |
| rateLimitMode    | 否  | [RateLimitMode](/api-reference/cn/compute/zec/datastructure.md#ratelimitmode) | 新的限速模式。                                                                       |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 修改QoS策略组的名称和带宽限制。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyQosPolicyGroup
<Common Request Params>

Request：
{
  "qosPolicyGroupId": "qos-xxxxxxxx",
  "name": "new-qos-group-name",
  "bandwidthLimit": 2000,
  "rateLimitMode": "STRICT"
}

Response：
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                       | 说明          |
| ------- | ----------------------------------------- | ----------- |
| 404     | INVALID\_QOS\_POLICY\_GROUP\_NOT\_FOUND   | QoS策略组不存在。  |
| 400     | INVALID\_BANDWIDTH\_LIMIT\_OUT\_OF\_RANGE | 带宽限制超出允许范围。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/qos-policy-group/modifyqospolicygroup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
